// stylelint-disable declaration-no-important

// Width and height

@each $prop, $abbrev in (width: w, height: h) {
  @each $size, $length in $sizes {
    .#{$abbrev}-#{$size} { #{$prop}: $length !important; }
  }
}

// CUSTOM - km967761 - START
@each $prop, $abbrev in (width: w, height: h) {
  @each $size, $length in $fixed-sizes {
    .#{$abbrev}-fixed-#{$size} {
      #{$prop}: $length !important;
    }

    @each $breakpoint in map-keys($grid-breakpoints) {
      $infix: breakpoint-infix($breakpoint, $grid-breakpoints);

      @include media-breakpoint-up($breakpoint, $grid-breakpoints) {
        .#{$abbrev}-fixed#{$infix}-#{$size} {
          #{$prop}: $length !important;
        }
      }
    }
  }
}
// CUSTOM - km967761 - END

.mw-100 { max-width: 100% !important; }
.mh-100 { max-height: 100% !important; }
